Building on python3 - Ubuntu 14.04

Issue #13 new
Paul Balanca
created an issue

Building on Ubuntu 14.04 with python 3.4 produce a library extension "libcmonary.cpython-34m.so" instead of "libcmonary.so", which then produce a runtime error while loading : RuntimeError: ('Unable to find cmonary shared library: ', 'libcmonary.so')

I am not expert in setuptools, so I don't if the building should be change or the loading part ?

Comments (5)

  1. Alfonso de la Guarda Reyes

    I have downloaded the source code and modify the line inside monary.py which checks for the module and change it to libcmonary.cpython-34m.so

    cmonary_fname = "libcmonary.so"

    and voilá!

    In my case is very usefull because i have working with python 2.7 and python 3.4 and both version can't share the same library because previous dependences

  2. Log in to comment